%define name  flac
%define version 1.1.4
%define release %mkrel 1

%define major  8
%define libname %mklibname %{name} %{major}
%define majorpp 6
%define libnamepp %mklibname %{name}++ %{majorpp}

Name: %name 
Summary: An encoder/decoder for the Free Lossless Audio Codec
Version:  %version
Release:  %release
License: GPL
Group:  Sound
URL: http://flac.sourceforge.net/
Source: http://prdownloads.sourceforge.net/flac/flac-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: libogg-devel
BuildRequires: nasm
BuildRequires: libid3lib-devel
BuildRequires: gtk-devel
BuildRequires: gettext-devel
BuildRequires: automake1.8

%description
FLAC is an Open Source lossless audio codec developed by Josh Coalson.

FLAC is comprised of 1) `libFLAC', a library which implements
reference encoders and decoders, licensed under the GNU Lesser
General Public License (LGPL); 2) `flac', a command-line program for
encoding and decoding files, licensed under the GNU General public
License (GPL); 3) `metaflac', a command-line program for editing
FLAC metadata, licensed under the GPL; 4) player plugins for XMMS
and Winamp, licensed under the GPL; and 5) documentation, licensed
under the GNU Free Documentation License.


%package -n %libname 
Summary: Shared libraries for FLAC
Group:  System/Libraries

%description  -n %libname
FLAC is an Open Source lossless audio codec developed by Josh Coalson.

This package contains the C libraries.

%package -n %libname-devel
Summary: Libraries and headers needed for building apps using FLAC
Group: Development/C
Requires: %{libname} = %{version}-%release
Requires: libogg-devel
Provides:  libflac-devel = %version-%release
Provides:  liboggflac-devel = %version-%release

%description -n%libname-devel
FLAC is an Open Source lossless audio codec developed by Josh Coalson.

This package contains the libraries and header files necessary to develop
applications using FLAC written in C.

%package -n %libnamepp
Summary: Shared C++ libraries for FLAC
Group: System/Libraries

%description  -n %libnamepp
FLAC is an Open Source lossless audio codec developed by Josh Coalson.

This package contains the libraries for C++ applications.

%package -n %libnamepp-devel
Summary: Libraries and headers needed for building apps using FLAC++
Group: Development/C++
Requires: %{libnamepp} = %{version}-%release
Requires: %libname-devel = %version-%release
Provides:  libflac++-devel = %version-%release
Provides:  liboggflac++-devel = %version-%release

%description -n %libnamepp-devel
FLAC is an Open Source lossless audio codec developed by Josh Coalson.

This package contains the libraries and header files necessary to develop
applications using FLAC written in C++.

%prep
%setup -q -n %name-%version

%build
rm -rf html

cp -r doc/html .
%configure2_5x --disable-xmms-plugin
%make

%install
rm -rf %{buildroot} installed-docs
%makeinstall_std
mv %buildroot%_datadir/doc/flac-%{version} installed-docs
rm -fr %buildroot%_libdir/xmms

%clean
rm -rf %{buildroot}

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig
%post -n %libnamepp -p /sbin/ldconfig
%postun -n %libnamepp -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING* README installed-docs/*
%{_bindir}/flac
%{_bindir}/metaflac
%{_mandir}/man1/*

%files -n %libname 
%defattr(-, root, root)
%_libdir/libFLAC.so.%{major}*

%files -n %libnamepp 
%defattr(-, root, root)
%_libdir/libFLAC++.so.%{majorpp}*

%files -n %libname-devel 
%defattr(-, root, root)
%{_includedir}/FLAC
%{_libdir}/libFLAC.a
%{_libdir}/libFLAC.la
%{_libdir}/libFLAC.so
%_datadir/aclocal/libFLAC.m4
%_libdir/pkgconfig/flac.pc

%files -n %libnamepp-devel 
%defattr(-, root, root)
%{_includedir}/FLAC++
%{_libdir}/libFLAC++.a
%{_libdir}/libFLAC++.la
%{_libdir}/libFLAC++.so
%_datadir/aclocal/libFLAC++.m4
%_libdir/pkgconfig/flac++.pc


%changelog
* Wed Feb 14 2007 Götz Waschk <waschk@mandriva.org> 1.1.4-1mdv2007.0
+ Revision: 120706
- new version
- update file list

* Mon Dec 11 2006 Götz Waschk <waschk@mandriva.org> 1.1.3-2mdv2007.1
+ Revision: 94987
- fix devel deps

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 1.1.3-1mdv2007.1
+ Revision: 88488
- Import flac



* Wed Nov 29 2006 Gtz Waschk <waschk@mandriva.org> 1.1.3-1mdv2007.1
- new major
- drop oggflac
- drop patches 0,1,2
- new version

* Sat Jul  1 2006 Gtz Waschk <waschk@mandriva.org> 1.1.2-7mdv2007.0
- allow build without xmms

* Fri Jun 30 2006 Gtz Waschk <waschk@mandriva.org> 1.1.2-6mdv2007.0
- drop xmms plugin

* Wed Nov  2 2005 Gtz Waschk <waschk@mandriva.org> 1.1.2-5mdk
- fix patch 1 (Anssi Hannula)

* Fri Apr 22 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.1.2-4mdk
- patch3: fix build with ppc gnu binutils
- add BuildRequires: gettext-devel

* Thu Apr 21 2005 Gtz Waschk <waschk@mandriva.org> 1.1.2-3mdk
- fix the patch

* Wed Apr 20 2005 Gtz Waschk <waschk@mandriva.org> 1.1.2-2mdk
- try to fix bug #15553 with patch 2

* Mon Apr 18 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.1.2-1mdk
- bump majors
- new version

* Tue Nov  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.1-1mdk
- new version

* Tue Sep 28 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.1.1-0.beta1.3mdk
- libtool & lib64 fixes

* Fri Sep 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.1-0.beta1.2mdk
- Fix requires (allow to upgrade MDK9.2->10.1)

* Mon Aug  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.1-0.beta1.1mdk
- fix majors
- fix doc section
- new version

* Thu Jul 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.0-8mdk
- make menu title unique (else the GNOME menu method doesn't work)

* Wed Jul 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.0-7mdk
- add hidden menu entry to associate flac files with xmms

* Thu Jun  3 2004 Montel Laurent <lmontel@mandrakesoft.com> 1.1.0-6mdk
- Rebuild against gcc

* Tue Sep  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.1.0-5mdk
- fix requires for 64 bit architectures

* Wed Jul  9 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.1.0-4mdk
- rebuild for new rpm

* Tue Apr  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.1.0-3mdk
- buildrequires gtk+1.2-devel

* Fri Apr  4 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.1.0-2mdk
- new id3lib

* Sun Jan 26 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.1.0-1mdk
- use mklibname macro
- OggFLAC major 1
- make short-circuit compatible
- new version

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.4-5mdk
- rebuild

* Mon Nov 25 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.4-4mdk
- rebuild with new id3lib

* Sun Nov 24 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.4-3mdk
- remove unpackaged files at install stage

* Mon Nov  4 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.4-2mdk
- buildrequires libid3lib3.8-devel

* Wed Sep 25 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.4-1mdk
- 1.0.4 final

* Thu Sep 12 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.4-0.beta.2mdk
- update to a fixed tarball of 1.0.4beta
- drop the extra vorbiscomment.h

* Wed Sep 11 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.4-0.beta.1mdk
- fix some descriptions
- split out liboggflac and liboggflac++ to extra packages
- major version 4, flac++ major 2
- add missing vorbiscomment.h
- drop the patch
- new version 1.0.4beta

* Mon Aug 19 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.3-4mdk
- rebuild with the final gcc 3.2

* Sun Aug 11 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.3-3mdk
- gcc 3.2 build

* Fri Jul  5 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.3-2mdk
- C++ devel package requires C devel package

* Thu Jul  4 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.3-1mdk
- add extra packages for C++ library
- change major version number to 3
- fix provides and requires
- 1.0.3
- spec cleanup

* Thu Jul 04 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-1mdk
- use ldconfig -n
- from Charles A Edwards <eslrahc@bellsouth.net> :
	- initial Mandrake release
	- modified other spec 
